/**SIDEBAR*/

#page-wrapper {
  display: flex;
}

#page-wrapper-inner {
  width: 100%;
}

.header-wrapper {
  display: flex;
}

#nav-wrapper {
  margin: auto auto calc(var(--gap-m) * 0.8) calc(var(--gap-m) * 1.1);
}

/**Desktop*/
/* 
@media (min-width: 1300px) {
 */
@media (min-width: 1060px) {
  /*     #header {
        background-color: var(--ast-global-color-0);
        min-width: var(--sidebar-width);
        max-width: var(--sidebar-width);
        position: fixed;
        height: 100%;
        top: 0;
    }
 */

  #page-wrapper {
    flex-direction: column;
  }

  #header {
    background-color: var(--ast-global-color-1);
    min-width: unset;
    position: relative;
    height: auto;
    top: 0;
    z-index: 9;
    width: 100%;
  }

  .header-wrapper {
    flex-direction: column;
    gap: var(--gap-xl);
  }
  .header-wrapper {
    flex-direction: row;
    gap: 0;
  }

  /*   #page-wrapper-inner {
    max-width: calc(100vw - var(--sidebar-width));
    margin-left: auto;
  } */
}

/**Mobile*/
/*  
@media (max-width: 1299px) {
  */
@media (max-width: 1059px) {
  #header {
    width: 100%;
    background-color: var(--ast-global-color-2);
  }

  #page-wrapper {
    flex-direction: column;
  }

  #page-wrapper-inner {
    max-width: 100vw;
  }


  .header-wrapper {
    margin-inline: auto;
    position: relative;
    padding: calc(var(--gap-l) * 1.3) 0 calc(var(--gap-m) + 1vh);
    padding: clamp(2.313rem, 2.102rem + 0.6vw, 2.5rem) 0 calc(var(--gap-m) * 1.9);
    z-index: 99;
    overflow: hidden;
    justify-content: space-between;
    align-items: flex-start;
    width: 90%;
    margin-inline: auto;
  }
  #theme-logo-mobile {
    order: 2;
    margin-left: auto;
  }
  .impmenu-toggle {
    order: 1;
  }
}

/**end sidebar*/
/**Theme Logo*/
#theme-logo {
  z-index: 100;
  display: flex;
  align-items: center;
  justify-content: center;
  pointer-events: all;
  width: 38.14%;
  background-color: var(--ast-global-color-2);
  padding-block: 2rem;
}

.theme-logo a img {
  width: clamp(13.938rem, 12.205rem + 6.03vw, 18.688rem);
  height: auto;
}

#theme-logo-mobile {
  position: relative;
  z-index: 9;
}

/**Desktop*/
/* 
@media (min-width: 1300px) {
 */
@media (min-width: 1060px) {
  #theme-logo-mobile {
    display: none;
  }
}

/**Mobile*/
/* 
@media (max-width: 1299px) {
 */
@media (max-width: 1059px) {
  #theme-logo {
    display: none;
  }
}

/**Navigation*/
#menu-hauptmenu {
  list-style: none !important;
  padding: 0 !important;
  margin: 0 !important;
  display: grid;
  gap: var(--gap-s);
}
#menu-hauptmenu {
  list-style: none !important;
  padding: 0 !important;
  margin: 0 !important;
  display: grid;
  gap: var(--gap-s);
  grid-auto-flow: column;
}

#menu-hauptmenu > .menu-item {
  display: flex;
  align-items: center;
  flex-direction: column;
  gap: var(--gap-s);
}

#menu-hauptmenu > .menu-item > a {
  font-family: var(--mainfont);
  font-size: var(--base-font-size);
  font-style: normal;
  font-weight: 700;
  line-height: 1.5;
  letter-spacing: 0.02em;
  display: flex;
  width: fit-content;
  flex-direction: column;
  gap: 0;
  color: var(--ast-global-color-0);
  background-color: var(--ast-global-color-2);
  border-radius: 50px;
  padding: 0.6em 2.2em;
  position: relative;
  justify-content: center;
}

#menu-hauptmenu > .menu-item > a::after {
  content: "";
  display: block;
  width: 0;
  height: 3px;
  border-radius: 3em;
  /* background-color: #fff; */
  transition: all 0.5s cubic-bezier(0.86, 0, 0.07, 1) 0s;
  left: 50%;
  transform: translateX(-50%);
  position: absolute;
}

#menu-hauptmenu > .menu-item.current-menu-item > a::after {
  width: 100%;
}

/**nav icon*/
/* a.impmenu-toggle {
  z-index: 99999;
  margin-left: var(--nav-icon-padding-Y);
  background: transparent;
  right: var(--nav-icon-padding-X);
  pointer-events: all;
  position: fixed;
  transition: all 0.5s cubic-bezier(0.65, 0.05, 0.36, 1) 0s;
  top: var(--nav-icon-padding-X);
} */

a.impmenu-toggle {
  z-index: 99999;
  background: transparent;
  pointer-events: all;
  transition: all 0.5s cubic-bezier(0.65, 0.05, 0.36, 1) 0s;
  position: fixed;
}

#nav-icon3 {
  width: var(--nav-icon-width);
  height: var(--nav-icon-height);
  position: relative;
  transform: rotate(0deg);
  transition: 0.5s ease-in-out;
  cursor: pointer;
}

#nav-icon3 span {
  display: block;
  position: absolute;
  height: var(--burger-line-height);
  width: 100%;
  background: var(--ast-global-color-1);
  border-radius: 13em;
  opacity: 1;
  left: 0;
  transform: rotate(0deg);
  transition: 0.25s ease-in-out;
}

#nav-icon3 span:nth-child(1) {
  top: 0;
}

#nav-icon3 span:nth-child(2),
#nav-icon3 span:nth-child(3) {
  top: calc(50% - (var(--burger-line-height) / 2));
  right: 0;
  left: unset;
}

#nav-icon3 span:nth-child(4) {
  bottom: 0;
}

.impmenu-active #nav-icon3 span:nth-child(1) {
  top: 50%;
  width: 0%;
  left: 50%;
  transform: translateY(50%);
}

.impmenu-active #nav-icon3 span:nth-child(2) {
  transform: rotate(45deg);
  background-color: var(--ast-global-color-0);
}

.impmenu-active #nav-icon3 span:nth-child(3) {
  transform: rotate(-45deg);
  background-color: var(--ast-global-color-0);
}

.impmenu-active #nav-icon3 span:nth-child(4) {
  bottom: 50%;
  transform: translateY(-50%);
  width: 0%;
  left: 50%;
}

/**Desktop*/
/* 
@media (min-width: 1000px) {
*/
@media (min-width: 1060px) {
  a.impmenu-toggle {
    display: none;
  }
}

/**Mobile*/
/* 
@media (max-width: 1299px) {
 */
@media (max-width: 1059px) {
  #nav-wrapper {
    width: 100vw;
    height: 100vh;
    position: fixed;
    top: 0;
    left: 0;
    transform: scale(0);
    pointer-events: none;
    transition: all 0.7s cubic-bezier(0.46, 0.03, 0.52, 0.96) 0s;
    z-index: 999;
    clip-path: circle(0% at 50% 50%);
    pointer-events: all;
    background-color: var(--ast-global-color-1);
  }

  #nav-wrapper.impmenu-active {
    transform: scale(1);
    clip-path: circle(70.7% at 50% 50%);
  }

  .menu-col.col-menu-1 {
    padding-top: calc(
      var(--nav-icon-height) + var(--nav-icon-padding-X) + 10vh
    );
  }

  #menu-hauptmenu {
    display: flex;
    flex-direction: column;
  }

  #nav-wrapper {
    margin: 0;
  }

  .menu-col.col-menu-1 {
    position: relative;
  }

  a.impmenu-toggle.is-fixed {
    position: fixed;
    --top: clamp(2.313rem, 2.102rem + 0.6vw, 2.5rem);
    top: var(--top);
  }

  /* a.impmenu-toggle.is-fixed::before {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: -1;

  height: calc(var(--nav-icon-height) * 3);
  aspect-ratio: 1 / 1;
  border-radius: 50%;
  background-color: var(--ast-global-color-2);
}

body:has(#nav-wrapper.impmenu-active) a.impmenu-toggle::before {
  display: none;
} */

  body:has(#nav-wrapper.impmenu-active) .impmenu-toggle {
    position: fixed;
    top: clamp(2.313rem, 2.102rem + 0.6vw, 2.5rem);
  }
}

/* 
@media (min-width: 767px) and (max-width: 1299px) {
  */
@media (min-width: 767px) and (max-width: 1059px) {
  #menu-hauptmenu > .menu-item > a {
    font-size: var(--h5-font-size);
    line-height: 1.8;
  }
}

@media (max-width: 760px) {
  #menu-hauptmenu > .menu-item > a {
    font-size: calc(var(--base-font-size) * 1.3);
  }

  #menu-hauptmenu > .menu-item > a {
    padding: 0.8em 2.6em;
  }
  .menu-col.col-menu-1 {
    padding-top: calc(
      var(--nav-icon-height) + var(--nav-icon-padding-X) + 14vh
    );
  }

  .header-wrapper {
    padding: clamp(2.313rem, 2.102rem + 0.6vw, 2.5rem) 0
      calc(var(--gap-m) * 1.4);
  }
}

@media (max-width: 760px) {
  .header-wrapper {
    width: auto;
    margin-inline: 30px;
  }
}
/**end Navigation*/

/**Responsive general*/
